#!/usr/bin/python
import sys
import time
import os

try:
    import pygtk
    #tell pyGTK, if possible, that we want GTKv2
    pygtk.require("2.0")
except:
    #Some distributions come with GTK2, but not pyGTK
    pass
try:
    import gtk
    import gtk.glade
    import gobject
except:
    print "An error occured"
    sys.exit(1)

import gnome.ui
import traceback

try:
    import guyum
    from guyum.misc import GuyumConst
#    import guyum.pkgtree as pkgtree
#    import guyum.repotree as repotree
#    import guyum.depstree as depstree
#    import guyum.yumworker as yumworker
#    from guyum.gyfunctions import *
except:
    print "cannot import guyum, check your installation"
    traceback.print_exc(file=sys.stderr)
    sys.exit(1)


if __name__ == "__main__":
    # we start the app like this...
    gnome.init( GuyumConst.APPNAME, GuyumConst.VERSION )

    guyumdir = os.path.dirname(sys.argv[0])

    app=guyum.GuyumGUI(guyumdir, guyumdir+"/glade/"+GuyumConst.GLADEFILE)
    gtk.gdk.threads_init()
    gtk.gdk.threads_enter()
    gtk.main()  
    gtk.gdk.threads_leave()
